<div *ngIf="formControl as fd"
     [solidifyValidationAbstractControl]="fd"
     [solidifyValidation]="errors"
     class="dissemination-wrapper"
>
  <mat-form-field [appearance]="appearanceInputMaterial"
                  [floatLabel]="'always'"
                  [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
  >
    <mat-label>{{labelTranslateEnum.disseminationPolicies | translate}}</mat-label>
    <mat-chip-grid #templateChipGrid
                   [disabled]="fd.disabled"
    >
      <ng-template [ngTemplateOutlet]="chip"
                   [ngTemplateOutletContext]="{disseminationPolicy: basicDisseminationPolicy, disabled: true}"
      ></ng-template>
      <ng-template [ngTemplateOutlet]="chip"
                   [ngTemplateOutletContext]="{disseminationPolicy: oaisDisseminationPolicy, disabled: true}"
      ></ng-template>
      <mat-chip-row *ngFor="let disseminationPolicy of listOrganizationalUnitDisseminationPolicyContainer; trackBy trackByFn; let i = index"
                    (click)="editDisseminationPoliciesParameters(i)"
                    solidifyOverlay
                    [solidifyOverlayData]="disseminationPolicy"
                    [solidifyOverlayComponent]="$any(organizationalUnitDisseminationPolicyOverlayComponent)"
      >
        <span class="label"
              solidifyTooltipOnEllipsis
        >{{disseminationPolicy.computedName}}</span>
        <button (click)="navigateToDisseminationPolicy($event, disseminationPolicy)"
                (keydown.enter)="navigateToDisseminationPolicy($event, disseminationPolicy)"
                [matTooltip]="labelTranslateEnum.seeDisseminationPolicyDetail | translate"
                aria-label="Navigate to dissemination policy"
                class="navigate-to"
                mat-icon-button
                matSuffix
                type="button"
        >
          <solidify-icon [iconName]="iconNameEnum.internalLink"
                         class="size-16"
          ></solidify-icon>
        </button>
        <button *ngIf="!fd.disabled"
                class="remove-chip"
                type="button"
                mat-icon-button
                matSuffix
                (click)="removeDisseminationPoliciesParameters(i)"
        >
          <solidify-icon [iconName]="iconNameEnum.closeChip"
                         class="size-16"
          ></solidify-icon>
        </button>
      </mat-chip-row>
    </mat-chip-grid>
    <input style="display: none"
           [matChipInputFor]="templateChipGrid"
    />
    <mat-error #errors
               solidifyTooltipOnEllipsis
    ></mat-error>
  </mat-form-field>
  <div *ngIf="!fd.disabled">
    <button mat-icon-button
            type="button"
            color="primary"
            (click)="createDisseminationPoliciesParameters()"
    >
      <solidify-icon [iconName]="iconNameEnum.add"></solidify-icon>
    </button>
  </div>
</div>

<ng-template #chip
             let-disseminationPolicy="disseminationPolicy"
             let-disabled="disabled"
             let-fd="fd"
             let-i="i"
>
  <mat-chip-row *ngIf="disseminationPolicy | isNotNullNorUndefined"
                solidifyOverlay
                [solidifyOverlayData]="disseminationPolicy"
                [solidifyOverlayComponent]="$any(organizationalUnitDisseminationPolicyOverlayComponent)"
                [disabled]="disabled"
  >
        <span class="label"
              solidifyTooltipOnEllipsis
        >{{disseminationPolicy.name}}</span>
    <button (click)="navigateToDisseminationPolicy($event, disseminationPolicy)"
            (keydown.enter)="navigateToDisseminationPolicy($event, disseminationPolicy)"
            [matTooltip]="labelTranslateEnum.seeDisseminationPolicyDetail | translate"
            aria-label="Navigate to dissemination policy"
            class="navigate-to"
            mat-icon-button
            matSuffix
            type="button"
    >
      <solidify-icon [iconName]="iconNameEnum.internalLink"
                     class="size-16"
      ></solidify-icon>
    </button>
  </mat-chip-row>
</ng-template>